# Command: token

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    token -   read a token from a stream or string

Synopsis:

    string token -> post any true
      false
      istream token -> istream any true
      istream false

Examples:

      (1 2 hello) token -> true 1 (2 hello)
      ({1 2 add}) token -> true {1 2 add} ()

Description:

    reads a token from a string or stream and
      pushes true and extracted token plus rest-string/stream
      on the stack (if successful).

Author:

    docu by Markus Diesmann and Sirko Straube

SeeAlso:

- token_s
- token_is

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/typeinit.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative